> For the complete documentation index, see [llms.txt](https://docs.hivepress.io/developer-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hivepress.io/developer-docs/framework/configurations/taxonomies.md).

# Taxonomies

This configuration contains parameters that HivePress uses for registering the custom taxonomies. Each taxonomy is defined as an array of parameters accepted by the [register\_taxonomy](https://developer.wordpress.org/reference/functions/register_taxonomy/) function. The array key is used as the taxonomy name (prefixed with `hp_`).

The code example below changes the listing category URL slug and its label in the WordPress dashboard menu. In the same way, you can customize any of the available taxonomies or register a new one by adding an array with the taxonomy parameters.

```php
add_filter(
	'hivepress/v1/taxonomies',
	function( $taxonomies ) {

		// Change URL slug.
		$taxonomies['listing_category']['rewrite']['slug'] = 'custom-slug';

		// Change menu label.
		$taxonomies['listing_category']['labels']['name'] = 'Custom Text';

		return $taxonomies;
	}
);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hivepress.io/developer-docs/framework/configurations/taxonomies.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
